Skip to content

PushToGitRemote

POST
/api/v1/t/{tenant}/workflows/git-remote/push
curl --request POST \
--url https://example.com/api/v1/t/example/workflows/git-remote/push \
--header 'Content-Type: application/json' \
--data '{ "definitionIds": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ], "drafts": true, "message": "example", "useOwnEmail": true }'
tenant
required
string

Tenant slug

Media typeapplication/json
object
definitionIds
required
Array<string> | null
drafts
required
boolean
message
required
string
useOwnEmail
required
boolean
Examplegenerated
{
"definitionIds": [
"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"
],
"drafts": true,
"message": "example",
"useOwnEmail": true
}

OK

Media typeapplication/json
object
branch
required
string
commitSha
required
string
changed
required
boolean
Examplegenerated
{
"branch": "example",
"commitSha": "example",
"changed": true
}

Bad Request

Media typeapplication/problem+json
object
type
null | string
title
null | string
status
null | integer format: int32
detail
null | string
instance
null | string
errors
object
key
additional properties
Array<string>
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example",
"errors": {
"additionalProperty": [
"example"
]
}
}

Forbidden

Media typeapplication/problem+json
object
type
null | string
title
null | string
status
null | integer format: int32
detail
null | string
instance
null | string
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}

Not Found

Conflict

Media typeapplication/problem+json
object
type
null | string
title
null | string
status
null | integer format: int32
detail
null | string
instance
null | string
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}

Too Many Requests

Media typeapplication/problem+json
object
type
null | string
title
null | string
status
null | integer format: int32
detail
null | string
instance
null | string
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}

Bad Gateway

Media typeapplication/problem+json
object
type
null | string
title
null | string
status
null | integer format: int32
detail
null | string
instance
null | string
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}